#
# -*- coding: utf-8 -*-

'''Reusable libxml2 toos. 
'''

############################################################################################################
#
#   IMPORTS
#
#===========================================================================================================

import libxml2, libxslt
  

############################################################################################################
#
#   GENERAL FUNCTIONS
#
#===========================================================================================================

def transformXML(docDOM, xslLoc, paras={}, debug=''):
    stylesheetResult = 'XSLT NOT WORKING !!!'
    # apply stylesheet
    debug + "PARSE STYLESHEET %s"%xslLoc
    try:
        styledoc = libxml2.parseFile( xslLoc )
        style = libxslt.parseStylesheetDoc(styledoc)
    except:
        debug + "ERROR: Stylesheet could not be parsed"
        stylesheetResult = 'XSLT NOT WORKING !!! Stylesheet could not be parsed.'
        return stylesheetResult
        
    debug + "APPLY STYLESHEET"
    xsltParas = {}
    for p,val in paras.items():
        xsltParas[p] = "'%s'"%str(val)
    debug + "STYLESHEET PARAMETERS: %s" % (unicode(xsltParas))
    # Hack, for some reason this does not work
    try:
        result = style.applyStylesheet(docDOM, xsltParas)
        stylesheetResult = style.saveResultToString(result)
        debug + "  OK"
        result.freeDoc()
    except:
        debug + "ERROR when applying the stylesheet"
        stylesheetResult = 'XSLT NOT WORKING !!! Error when applying the stylesheet.'
    
    styledoc.freeDoc()
    return stylesheetResult
    

    