#!C:\Python24\python.exe
# -*- coding: UTF-8 -*-

'''
$RCSfile: main.py,v $
$Revision: 400 $
$Author: markus $
$Date: 2005-10-19 17:24:36 +0200 (Wed, 19 Oct 2005) $
The BioCASE querytool
'''

import os, sys
# ***** include the biocase.lib directory in the python sys path for importing *****
execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'adjustpath.py' ) ))

from biocase.configtool.general import *
from biocase.datasources import getDsaList


############################################################################################################
#
#   MAIN
#
#===========================================================================================================


# use the main.html template to select a datasource first
tmpl = PageMacro('Content', PageMacro.DELMODE)
tmpl.load('Content', os.path.join(templateDir, '_main.html'))
# get list of available dsa's
DsaList = getDsaList(cfg)
debug + "DSA list from datasource directory: %s" %str(DsaList)

# fill template 
DsaTmplList = [{'dsa':dsa.name, 'id':MD5Passwd} for dsa in DsaList]
tmpl.expand('Content', 'datasourcelist', DsaTmplList)
    
# general
tmpl['id'] = MD5Passwd


#
# print HTML !
#
printOverHTTP( tmpl, debug, diagnostics )


