#!C:\Python24\python.exe
# -*- coding: UTF-8 -*-

'''
$RCSfile: index.cgi,v $
$Revision: 400 $
$Author: j.torre $
$Date: 2005-10-19 17:24:36 +0200 (Wed, 19 Oct 2005) $
The BioCASE TestingTool
'''

#Import some stuff-----------------------------------------
import cgitb; cgitb.enable()
import string
import os, sys
import inspect as               _i
import os as                    _os
import os.path as               _p
import cgi
#-----------------------------------------------------------------------------------------------------------
#   See fundamentals things being done -- this will, inter alia, put g.callCgi into the global namespace:
execfile( os.path.abspath(os.path.join(os.path.dirname( __file__ ), os.path.pardir, os.path.pardir, 'lib', 'biocase', 'fundamentals.py' ) ) )
#-------------------------------------------------------------
import biocase.tools.templating
import biocase.configuration
import biocase.datasources

# get config data
cfg=biocase.configuration.Cfg()

#------------------------------------------------------------------------------------

#Prepare the template
pm = biocase.tools.templating.PageMacro('Content', biocase.tools.templating.PageMacro.KEEPMODE)
pm.load('Content', os.path.join(cfg.wwwLocator,'testingtool', '_index.html'))


#Check that all necesary libraries are installed:
try:
	import _xmlplus
	import libxml2
	import mx.DateTime
	import biocase
	import biocase.wrapper
	pm['library_status'] = '<span class="goodstatus">OK</span>'
except:
	pm['library_status'] = '<span class="badstatus">Wrong, </span><a href="../utilities/testlibs.cgi">check libraries</a>'

#Print the headers	
print 'Content-Type: text/html; charset=UTF-8'
print # Blank line marking end of HTTP headers

from biocase.configtool.utilities.DatasourceDescriptor import getDatasourceDescriptors
dsaListOfHash = []
dsaList = []
for dsa in getDatasourceDescriptors.iterDatasourceDescriptorsSorted():    
	dsaListOfHash.append( {'dsa':dsa.name} )
	dsaList.append(dsa.name)
	
pm.expand('Content', 'DataSourcesList', dsaListOfHash )


#Check that the database connection is fine
dsaObj = biocase.datasources.Datasource(dsaList[0])
#pm['db_con'] = dsaObj.getDBConnectionStatus()
pm['db_con'] = '<i>- test not implemented -</i>'

print pm
