#!C:\Python24\python.exe

# ****************************************
# +++  BioCASE 
# +++  Adapt files to Windows systems
#
# change shebang to current python interpreter
#
# ****************************************


import sys, os

############################################################################################################
#
# FUNCTIONS
#
#===========================================================================================================
def updateShebang(fn):
	f = file(fn, 'r')
	text = f.readline()
	if text[:2] == "#!":
		text = "#!%s\n" %(sys.executable)
	text += f.read()
	f.close()
	# write back
	fw = file(fn, 'w')
	fw.write(text)
	fw.close()
	
	
############################################################################################################
#
# MAIN
#
#===========================================================================================================

if __name__ ==  "__main__":

	print '''
 +++  BioCASE 
 +++  Adapt files to Windows systems

change shebang to current python interpreter %s.
''' %(sys.executable)
	
	scriptDirs = ['../www/', '.']
	suffices   = ['.cgi', '.py']
	for d in scriptDirs:
		d = os.path.abspath(d)
		print "updating scripts in directory %s" %d
		for root, dirs, files in os.walk(d):
			for name in files:
				for suff in suffices:
					if name[-len(suff):] == suff:
						# change this script
						f = os.path.join(root, name)
						print "  update %s" %f
						updateShebang(f)
		
		
